Apache log4cxx Version 0.10.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
HTMLLayout Class Reference

This layout outputs events in a HTML table. More...

Inherits Layout.

## Public Member Functions
| HTMLLayout ()
void | setLocationInfo (bool locationInfoFlag)
| The LocationInfo option takes a boolean value. More...
bool | getLocationInfo () const
| Returns the current value of the LocationInfo option. More...
void | setTitle (const LogString &title1)
| The Title option takes a String value. More...
const LogString & | getTitle () const
| Returns the current value of the Title option. More...
virtual LogString | getContentType () const
| Returns the content type output by this layout, i.e "text/html". More...
virtual void | activateOptions (log4cxx::helpers::Pool &)
| No options to activate. More...
virtual void | setOption (const LogString &option, const LogString &value)
| Set options. More...
virtual void | format (LogString &output, const spi::LoggingEventPtr &event, log4cxx::helpers::Pool &pool) const
| Implement this method to create your own layout format. More...
virtual void | appendHeader (LogString &output, log4cxx::helpers::Pool &pool)
| Append appropriate HTML headers. More...
virtual void | appendFooter (LogString &output, log4cxx::helpers::Pool &pool)
| Append the appropriate HTML footers. More...
virtual bool | ignoresThrowable () const
| The HTML layout handles the throwable contained in logging events. More...
Public Member Functions inherited from Layout
virtual | ~Layout ()
void | addRef () const
void | releaseRef () const
Public Member Functions inherited from OptionHandler
virtual | ~OptionHandler ()
Public Member Functions inherited from Object
virtual const helpers::Class & | getClass () const
virtual | ~Object ()
virtual bool | instanceof (const Class &clazz) const =0
virtual const void * | cast (const Class &clazz) const =0
Public Member Functions inherited from ObjectImpl
| ObjectImpl ()
virtual | ~ObjectImpl ()

## Additional Inherited Members
Static Public Member Functions inherited from Object
static const helpers::Class & | getStaticClass ()
static const log4cxx::helpers::ClassRegistration & | registerClass ()
Protected Attributes inherited from ObjectImpl
unsigned int volatile | ref

## Detailed Description

This layout outputs events in a HTML table.

## Constructor & Destructor Documentation

HTMLLayout | ( |  | ) |

## Member Function Documentation

virtual void activateOptions | ( | log4cxx::helpers::Pool & |  | ) |
| inline virtual

No options to activate.

Implements OptionHandler.

virtual void appendFooter | ( | LogString & | output,
|  | log4cxx::helpers::Pool & | pool
| ) |  |
| virtual

Append the appropriate HTML footers.

Reimplemented from Layout.

virtual void appendHeader | ( | LogString & | output,
|  | log4cxx::helpers::Pool & | pool
| ) |  |
| virtual

Append appropriate HTML headers.

Reimplemented from Layout.

virtual void format | ( | LogString & | output,
|  | const spi::LoggingEventPtr & | event,
|  | log4cxx::helpers::Pool & | pool
| ) |  | const
| virtual

Implement this method to create your own layout format.

Implements Layout.

virtual LogString getContentType | ( |  | ) | const
| inline virtual

Returns the content type output by this layout, i.e "text/html".

Reimplemented from Layout.

bool getLocationInfo | ( |  | ) | const
| inline

Returns the current value of the LocationInfo option.

const LogString& getTitle | ( |  | ) | const
| inline

Returns the current value of the Title option.

virtual bool ignoresThrowable | ( |  | ) | const
| inline virtual

The HTML layout handles the throwable contained in logging events.

Hence, this method return `false`.

Implements Layout.

void setLocationInfo | ( | bool | locationInfoFlag | ) |
| inline

The LocationInfo option takes a boolean value.

By default, it is set to false which means there will be no location information output by this layout. If the the option is set to true, then the file name and line number of the statement at the origin of the log statement will be output.

If you are embedding this layout within an SMTPAppender then make sure to set the LocationInfo option of that appender as well.

virtual void setOption | ( | const LogString & | option,
|  | const LogString & | value
| ) |  |
| virtual

Set options.

Implements OptionHandler.

void setTitle | ( | const LogString & | title1 | ) |
| inline

The Title option takes a String value.

This option sets the document title of the generated HTML document.

Defaults to 'Log4cxx Log Messages'.

The documentation for this class was generated from the following file:

- htmllayout.h